<template>
    <div class="row align-items-center justify-content-center w-100" style="left: 15px;">
        <div class="col">
            <hollow-dots-spinner :animation-duration="1000" :dots-num="5" :color="getColor" class="m-auto"></hollow-dots-spinner>
        </div>
    </div>
</template>
<script>
    import { HollowDotsSpinner  } from 'epic-spinners';

    export default {
        props: {
            color: {
                type: String,
                default: 'primary'
            }
        },
        components: {
            HollowDotsSpinner
        },
        computed: {
            getColor(){
               switch (this.color) {
                   case 'primary':
                       return '#912873';
                   case 'success':
                       return '#912873';
                   case 'info':
                       return '#503C93';
                   case 'danger':
                       return '#F3201F';
                   case 'white':
                       return '#ffffff';
                   case 'black':
                       return '#000000'
               }
            }
        }
    }
</script>
